be.fgov.ehealth.dics.core.v4.reimbursementlaw.submit

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.dics.core.v4.reimbursementlaw.submit.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.dics.core.v4.reimbursementlaw.submit package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.core.v4.reimbursementlaw.submit

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttachmentKeyType` | `createAttachmentKeyType()` Create an instance of `AttachmentKeyType`
    `FormalInterpretationKeyType` | `createFormalInterpretationKeyType()` Create an instance of `FormalInterpretationKeyType`
    `LegalBasisKeyType` | `createLegalBasisKeyType()` Create an instance of `LegalBasisKeyType`
    `LegalReferenceKeyType` | `createLegalReferenceKeyType()` Create an instance of `LegalReferenceKeyType`
    `LegalTextKeyType` | `createLegalTextKeyType()` Create an instance of `LegalTextKeyType`
    `ParameterValueType` | `createParameterValueType()` Create an instance of `ParameterValueType`
    `ReimbursementConditionKeyType` | `createReimbursementConditionKeyType()` Create an instance of `ReimbursementConditionKeyType`
    `ReimbursementTermKeyType` | `createReimbursementTermKeyType()` Create an instance of `ReimbursementTermKeyType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.core.v4.reimbursementlaw.submit

  - ### Method Detail

    - #### createLegalBasisKeyType

          public LegalBasisKeyType createLegalBasisKeyType()

      Create an instance of `LegalBasisKeyType`

    - #### createFormalInterpretationKeyType

          public FormalInterpretationKeyType createFormalInterpretationKeyType()

      Create an instance of `FormalInterpretationKeyType`

    - #### createLegalReferenceKeyType

          public LegalReferenceKeyType createLegalReferenceKeyType()

      Create an instance of `LegalReferenceKeyType`

    - #### createReimbursementConditionKeyType

          public ReimbursementConditionKeyType createReimbursementConditionKeyType()

      Create an instance of `ReimbursementConditionKeyType`

    - #### createReimbursementTermKeyType

          public ReimbursementTermKeyType createReimbursementTermKeyType()

      Create an instance of `ReimbursementTermKeyType`

    - #### createParameterValueType

          public ParameterValueType createParameterValueType()

      Create an instance of `ParameterValueType`

    - #### createLegalTextKeyType

          public LegalTextKeyType createLegalTextKeyType()

      Create an instance of `LegalTextKeyType`

    - #### createAttachmentKeyType

          public AttachmentKeyType createAttachmentKeyType()

      Create an instance of `AttachmentKeyType`

Connector Packaging PERSNURSE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.